Guida in linea di vanBasco's Karaoke Player

Benvenuti all'interno della Guida in linea di vanBasco's Karaoke Player. Qui puoi scoprire come utilizzare il programma in maniera più efficiente.

Contenuti

Informazioni su vanBasco's Karaoke Player
Le finestre di vanBasco's Karaoke Player
Trucchi & Suggerimenti
Risoluzione dei problemi
Scorciatoie da tastiera


Informazioni su vanBasco's Karaoke Player

vanBasco's Karaoke Player è un riproduttore di file MIDI con un display per Karaoke a schermo intero per PC aventi Microsoft Windows 95/98/ME/NT 4/2000 o XP come sistema operativo.

Tra le caratteristiche del programma sono presenti:

  • Riproduzione di file standard MIDI (.mid, .midi), Microsoft RMID (.rmi) e Karaoke (.kar)
  • Display Karaoke: fino a quattro righe di testo a schermo intero
  • Display Pianoforte
  • Visualizzazione in tempo reale di note, velocità e strumenti
  • Riproduzione delle parti leggibili di file danneggiati
  • Supporto trascinamento (Drag & Drop)
  • Gestione dei file in un numero illimitato di playlist
  • Modalità mescolamento (Shuffle) e scansione (Scan)
  • Cambio al volo di tempo, volume e tonalità
  • Suono disabilitato e Assolo di singoli canali MIDI
Contratto di licenza e Note Legali


Finestre di vanBasco's Karaoke Player

vanBasco's Karaoke Player presenta le seguenti finestre:


Finestra principale

La finestra principale è il cuore del player. Qui, puoi specificare quale brano suonare, quali finestre mostrare, e anche accedere ad alcune funzioni speciali come "mescola" o "scansiona". La finestra principale somiglia, in larga parte, ad un lettore di cassette / CD e funziona perlopiù allo stesso modo. Utilizzare questa finestra viene abbastanza intuitivo.

Per caricare un brano, crea una playlist o fai un doppio click sul file in Esplora risorse (o trascinalo in una finestra del player). Una nuova playlist sarà creata con il nome "(default)". Se è già presente una playlist chiamata "(default)", il suo contenuto sarà sostituito (se vuoi tenere quella playlist, rinominala tramite la Finestra Playlist, così che non sarà sovrascritta successivamente).

Pulsanti di controllo del player

  • Per avviare la riproduzione, fai click sul pulsante PLAY. Durante la riproduzione, questo pulsante diventerà PAUSE (PAUSA), per fermare temporaneamente la riproduzione.
  • Per 'riavvolgere' ad un punto precedente del brano, seleziona REW (RIAVVOLGI) e non rilasciare il click finché non hai riavvolto fin dove desideri. Puoi sapere la posizione dove il brano riprenderà dal display visivo del brano e dal contatore del tempo trascorso.
  • Per passare ad un punto successivo del brano, seleziona e tieni premuto il pulsante FW (AVANZA).
  • Alternativamente, puoi spostarti nel brano trascinando la piccola barra blu del tempo sotto i pulsanti principali di riproduzione.
  • I pulsanti PREV (PRECEDENTE) e NEXT (SUCCESSIVO) si riferiscono ai brani precedente e successivo all'interno di una playlist.
  • STOP ferma la riproduzione del brano / playlist. Premendo nuovamente PLAY, la riproduzione partirà dall'inizio del brano. (Usa PAUSE (PAUSA) se vuoi fermare la riproduzione temporaneamente e riprendere da dove hai lasciato.).

Le altre finestre

La parte in basso della Finestra principale contiene i pulsanti usati per aprire o chiudere le altre finestre di vanBasco's Karaoke Player. Sono disponibili le seguenti finestre:

  • PLAYLIST - La Finestra Playlist può essere usata per creare, eliminare o modificare le playlist.
  • KARAOKE - La Finestra Karaoke mostra il testo del brano.
  • OUTPUT - Le note che vengono suonate sono istantaneamente mostrate all'interno della Finestra Output. Qui puoi anche disabilitare i canali.
  • PIANO - La Finestra Pianoforte mostra le note di tutti i canali su una grande pianola.
  • CONTROL - Se vuoi cambiare volume, tempo o chiave di un brano, usa la Finestra Controlli.

Funzionalità del player

Qui vengono descritti i pulsanti per attivare alcune funzionalità del player. Colorate di rosso, le funzionalità sono ATTIVATE; colorate di nero, sono DISATTIVATE:

  • AUTOPLAY fa partire istantaneamente i file trascinati.
  • SHUFFLE (MESCOLA) riordina casualmente i brani dell'attuale playlist.
  • SCAN (SCANSIONA) ti permette di ascoltare solo una parte di ogni brano (solitamente l'inizio di ogni brano, l'impostazione predefinita è dai 10 secondi ai 20 secondi di ogni brano, ma può essere cambiata tramite la Finestra delle impostazioni). Questa è una funzione utile per provare una serie di file.
  • REPEAT (RIPETI) è una opzione a tre stati: è possibile ripetere il brano corrente, l'intera playlist o disattivare la ripetizione.

Pulsanti vari

  • Cerca (la lente d'ingrandimento, in alto a destra) -- Facendo click su quest'icona si aprirà la pagina web di vanBasco's MIDI Search, un motore di ricerca internet per file MIDI e karaoke.
  • Salva con nome... (il disco a sinistra della lente d'ingrandimento) -- ti permette di salvare il file attuale su un disco locale. Nota: Con questo pulsante, sarà salvato il file MIDI originale. Ogni cambiamento effettuato nelle Finestre Output e Controlli, come un canale disabilitato o un cambiamento di chiave, non sarà salvato. E' comunque possibile salvare questi cambiamenti nella playlist tramite la Finestra Controlli.
  • Opzioni (la nota in alto a sinistra) -- apre un menu che ti permette di accedere alla Finestra delle impostazioni, mostrare o nascondere la playlist e le altre finestre aggiuntive, aprire la guida, eccetera.

Finestra di Selezione Veloce

Fai click sul nome del file (o premi ALT + Q sulla tastiera) per mostrare la Finestra di Selezione veloce. Qui, puoi facilmente spostarti in ogni brano della playlist attuale, in quattro modi facili e veloci:

  • usando il mouse e facendo click su un file
  • usando i tasti cursore
  • digitando il numero del brano (se è abilitata la visualizzazione della posizione del brano)
  • digitando i primi due caratteri del nome del file

Una volta selezionato il brano, premi semplicemente Invio per caricarlo. Se non vuoi effettuare una selezione, puoi chiudere la Finestra di Selezione Veloce premendo Escape (Esc).

A proposito, vanBasco's Karaoke Player può anche essere controllato tramite molte altre scorciatoie da tastiera.


Finestra Playlist

All'interno della Finestra Playlist, puoi creare e modificare le liste comprendenti i singoli brani. Una playlist è semplicemente una lista di collegamenti ai file, che sono memorizzati nel tuo disco fisso.

E' possibile accedere alla Finestra Playlist dalla Finestra principale o premendo ALT + L sulla tastiera.

A sinistra della Finestra Playlist ci sono i brani della playlist attuale. A destra si trova la struttura delle cartelle, simile a quella di Esplora Risorse. La barra di stato in basso mostrerà (se disponibili) le informazioni del brano selezionato.

Aggiunta dei file

  • Per aggiungere un brano alla playlist attuale, è necessario trovarlo nell'elenco di destra (la struttura di Esplora Risorse), selezionarlo e fare click sul pulsante AGGIUNGI o fare doppio click sul brano a destra per portarlo a sinistra, all'interno della playlist.
  • Fai click sul pulsante AGGIUNGI TUTTI per aggiungere tutti i file che si trovano a destra nella playlist.
  • Per spostarsi in un'altra unità o ad una cartella superiore, puoi usare il menu a tendina che si trova sopra la lista di destra. Per andare ad una cartella superiore, puoi anche usare il pulsante C. SUPER., a destra del menu a tendina. Per entrare in una sottocartella, fai doppio click su di essa.
Suggerimento: Puoi inserire lo stesso brano più volte nella stessa playlist - sarà semplicemente riprodotto più volte.

Riproduzione dei file

Per riprodurre un brano, fai doppio click su di esso all'interno della playlist. Se la finestra è larga abbastanza, un altro pulsante chiamato PLAY! sarà mostrato. Un click su questo pulsante fa riprodurre il brano selezionato nella lista a sinistra.

Gestione delle playlist

  • Per creare una nuova playlist, fai click sul pulsante NUOVA in alto a sinistra.
  • Per rinominare la playlist attuale, fai click sul pulsante RINOMINA.
  • Per eliminare una playlist usa il pulsante ELIMINARE per cancellare il file della playlist. Questo non cancellerà nessun file dei brani, solo il file della playlist.
  • Per cambiare la playlist, usa il menu a tendina sopra la lista di sinistra.

Modifica delle playlist

I pulsanti nella seconda fila a sinistra della finestra possono essere usati per modificare la playlist attualmente caricata.

  • Per riordinare una playlist, seleziona uno o più brani e spostali verso l'alto con il pulsante SU o verso il basso con il pulsante GIÙ.
  • Fai click sul pulsante ORDINARE per ordinare i file in ordine alfanumerico.
  • Per rimuovere un brano dalla plylist, fai click su RIMUOVI. In questo modo non cancellerai il file del brano ma solo la sua presenza nella playlist.
  • Per rimuovere tutti i brani dalla playlist attuale, fai click su RIMUOVI TUTTI.


Finestra Controlli

Nella finestra Controlli puoi cambiare volume, tempo e tonalità del brano in riproduzione e salvare queste impostazioni nella playlist, o ripristinare i valori normali.

Controllo della riproduzione

  • E' possibile cambiare la velocità di riproduzione del brano tra il 25% e il 200% del tempo originale trascinando il controllo TEMPO con il mouse.
  • E' possibile riprodurre il brano tra i 12 semitoni più bassi e i 12 semitoni più alti trascinando il controllo KEY (CHIAVE) verso l'alto o verso il basso.
  • Utilizza il controllo VOL (VOLUME) per cambiare il volume del suono.

Salvataggio delle impostazioni nella Playlist

vanBasco's Karaoke Player ti permette di salvare le impostazioni di tempo, chiave e volume per ogni singolo brano presente nella playlist. Saranno salvate anche le impostazioni della Finestra Output.

  • SAVE TO LIST (SALVA NELLA PLAYLIST) - I valori attuali saranno salvati nella playlist. Saranno salvati anche i cambiamenti effetuati all'interno della Finestra Output (canali con il suono disabilitato o assolo).
  • USE FROM LIST (UTILIZZA DALLA PLAYLIST) - Se la spunta è presente, vanBasco's Karaoke Player userà (se presenti) le impostazioni precedentemente salvate nella playlist.
  • RESET (REIMPOSTA) - Riporta tutti i controlli ai valori predefiniti. Saranno reimpostati anche i cambiamenti effettuati nella Finestra Output (riabilitare il suono a tutti i canali e togliere l'assolo ai canali con questa impostazione).


Finestra Output

La Finestra Output MIDI (anche conosciuta come Finestra del Display in Tempo reale) mostra ciò che succede su ogni canale -- quale strumento è selezionato in quel momento per ogni canale specificato nel file MIDI in riproduzione.

Disabilitare gli strumenti / attivare l'assolo su uno strumento

Puoi marcare un canale (strumento, cioè) come uno strumento da assolo premendo il pulsante blu (BLU = ASSOLO). Sentirai ancora, debolmente, gli altri strumenti. E' possibile disabillitare il suono di uno o più canali facendo click sul pulsante rosso (ROSSO = MUTO). Se vuoi salvare questi cambiamenti nella playlist in modo che saranno ricordati in futuro, premi il pulsante SAVE TO LIST (SALVA NELLA PLAYLIST), che si trova nella Finestra Controlli.


Finestra Pianoforte

La Finestra Pianoforte mostra le note in tempo reale con lo stile di una pianola.

Se nessun canale MIDI è disabilitato o con l'assolo nella Finestra Output, vengono mostrate le note di tutti i canali (ad eccezione dei canali batteria). Se ci sono dei canali con l'assolo, solo le note di tali canali saranno mostrate. Le note dei canali disabilitati non saranno mostrate.


Karaoke Window

Finestra Karaoke

Questa finestra ti permette di leggere ‘le parole che vengono cantate’ del brano in riproduzione (se il file lo supporta, se cioè il file ne include il testo). Possono essere visualizzate fino a quattro righe. E' possibile ingrandire o rimpicciolire la finestra trascinandone il bordo con il mouse. Per abilitare la visualizzazione a schermo intero, fai doppio click all'interno della Finestra Karaoke (o scegli "Schermo intero" dal menu contestuale - ulteriori informazioni qui di seguito).

E' possibile cambiare le impostazioni per la Finestra Karaoke dal suo menu contestuale. Effettuando un click con il tasto destro del mouse all'interno della finestra, è poi possibile selezionare:

  • Sempre in primo piano - Questa opzione farà restare la Finestra Karaoke visibile rispetto a tutte le altre finestre. Questa funzionalità può essere utile per cantare una canzone o avere le informazioni attuali mentre si lavora in un altro programma.
  • Schermo intero - Seleziona questa opzione per visualizzare il Karaoke su tutto lo schermo.
  • Nascondi Karaoke - Con questa opzione sarà possibile vedere le informazioni sul file anche se è presente il testo Karaoke.
  • Opzioni - Apre la Scheda Karaoke della Finestra delle Impostazioni.
  • Copia - Copia il testo del brano attuale all'interno degli appunti. Utile se si vuole stampare il testo, per esempio.


Finestra delle Impostazioni

La Finestra delle Impostazioni serve a specificare varie opzioni. Fai click sul pulsante della nota in alto a sinistra della Finestra principale e seleziona Impostazioni... per arrivarci.

Le impostazioni sono raggruppate in tre schede:

  • MIDI
  • Karaoke
  • Varie


Finestra delle Impostazioni - Scheda MIDI

Qui possono essere modificate le impostazioni riguardanti la riproduzione.

Configurazione riproduttore

  • Periferica di output: Scegli qui quale periferica dev'essere usata per l'output MIDI. (Nota: se l'unica opzione disponibile è "MIDI MAPPER", significa che nessuna periferica MIDI è configurata. Vedi la sezione Risoluzione dei problemi per più informazioni.)
  • Inizia dalla prima nota: Se quest'opzione è abilitata, vanBasco's Karaoke Player salterà ogni silenzio all'inizio di un file MIDI e inizierà immediatamente la riproduzione con la prima nota.
  • Scansiona con Fading: Abilitato causa la dissolvenza all'inizio / fine di ogni brano se il player è in modalità SCAN. Così è più facile determinare quale brano inizia e finisce. Questa opzione potrebbe causare problemi con alcuni sintetizzatori o file MIDI.
  • Scansiona da ... a ...: I valori digitati qui decidono quale parte del brano sarà riprodotta quando la modalità SCAN è attiva. Il valore predefinito è da 10 a 20 secondi.

Modalità Reset

Determina come la periferica MIDI venga resettata tra i brani per prevenire influenze dalle impostazioni del brano precedente. Scegli una delle seguenti opzioni:

General MIDI | Scegli questa opzione se stai usando un sintetizzatore esterno o una scheda aggiuntiva GM ma non compatibile GS né XG.
GS | Scegli questo per sintetizzatori compatibili Roland GS e periferiche XG in modalità GS.
XG | Questa è l'opzione giusta per periferiche Yamaha XG in modalità XG.
Windows | Questa è l'opzione migliore per sintetizzatori interni come Creative Labs SoundBlaster PCI 128 o quando sei insicuro su quale modalità reset usare. Nota che questa opzione potrebbe causare ritardi tra i brani su sintetizzatori esterni o schede aggiuntive.
SYSEX File | Se preferisci che una sequenza di reset personalizzata venga mandata al tuo sintetizzatore, scegli quest'opzione e seleziona un file SYSEX (.syx) nella finestra "File...". Selezionare "SYSEX File" come modalità di reset senza specificare il nome di un file farà sì che vanBasco's Karaoke Player non mandi nessun tipo di reset.

Avanzate

Se i file MIDI sono malriprodotti, prova a cambiare una di queste opzioni. Queste opzioni influenzano la riproduzione a livello di trasmissione MIDI e non dovrebbero essere cambiate a meno che tu sia un esperto o hai seri problemi con la riproduzione MIDI.
  • Abilita Status di esecuzione: Seleziona quest'opzione se vuoi che venga usata la compressione di status di esecuzione. Questa è usata per accelerare la trasmissione MIDI. Comunque, ci sono delle periferiche MIDI che non la supportano. Se riscontri errori come note prolungate e note non riprodotte, dovresti disabilitare quest'opzione.
  • Salta dati in ridondanza: Saltare i dati 'in ridondanza' è un'altra tecnica usata da vanBasco's Karaoke Player per accelerare la trasmissione MIDI quando ti sposti all'interno di un file MIDI usando Riavvolgimento e Avanzamento veloce. Questo potrebbe causare problemi con alcuni file MIDI. Se un file MIDI viene riprodotto diversamente da come lo si aspettava, prova a disabilitare quest'opzione.
  • Resetta su Pausa: Dovrebbe essere attivato solo se riscontri note prolungate durante o dopo Riavvolgimento e Avanzamento veloce (o quando premi Pausa).
  • Ritardo SYSEX: Alcuni sintetizzatori (solitamente più vecchi) hanno bisogno di un po' di tempo per eseguire i messaggi SYSEX e non possono ricevere altri comandi MIDI nel frattempo. Un sintomo di questo fenomeno è, ad esempio, lo strumento sbagliato (solitamente il Pianoforte) su tutti i canali. Se succede con la tua scheda audio, prova ad impostare il ritardo SYSEX ad un valore tra 50 e 1000 millisecondi. Usa il valore funzionante più basso poiché vanBasco's Karaoke Player dovrà aspettare questo tempo dopo un messaggio SYSEX prima che ne venga mandato un altro.


Finestra delle Impostazioni - Scheda Karaoke

Con le impostazioni di questa scheda puoi personalizzare la Finestra Karaoke.

Display

  • Carattere: Qui puoi cambiare il carattere del display karaoke.
  • Bordo carattere: Se è presente la spunta, il testo karaoke avrà un bordo.
  • Grandezza carattere: Questo determina la grandezza del testo karaoke. Il testo sarà rimpicciolito se non entra in un singolo rigo.
  • Centra testo: Centra il testo orizzontalmente.
  • Tipo Karaoke: Qui hai quattro possibilità:
    Un rigo | Mostra solo un rigo di testo alla volta.
    Due righe
             Due righe di testo, dove il rigo da cantare è sempre in alto.
    Due righe (alterne) | Due righe di testo dove il rigo da cantare è alternativamente in alto o in basso.
    Quattro righe (alterne) | Quattro righe di testo karaoke. Il rigo da cantare si sposta dall'alto verso il basso. Il testo viene cambiato due righe alla volta.
  • Allineamento verticale: Qui determini se il testo starà in cima, al centro o in fondo della Finestra Karaoke.
  • Colori: Qui puoi cambiare i colori del testo, del bordo e dello sfondo della finestra.
  • Immagine di sfondo: Qui puoi scegliere una diversa immagine di sfondo. Sono supportati i formati .bmp e .jpg.

Opzioni avanzate

  • Adatta finestra al testo: Quando quest'opzione è attivata, l'aspetto della Finestra Karaoke è sistemata così che il testo riempia complatamente la finestra. Questo non influenza la modalità a schermo intero.
  • Mostra informazioni in assenza di Karaoke: Mostra informazioni addizionali sul file, in mancanza di testo karaoke.
  • Mostra suggerimenti: Inserisce suggerimenti come "(Introduzione)", "(Strumentale)" e "(Conclusione)" negli spazi di testo vuoti più lunghi.
  • Mostra nome del file: Mostra il nome del file nella Finestra Karaoke.
  • Cicla informazioni: Quando quest'opzione è selezionata, le informazioni sul file vengono automaticamente ciclate quando non entrano nella Finestra Karaoke. Questo potrebbe rallentare la riproduzione su alcuni computer!


Finestra delle Impostazioni - Scheda Varie

Qui puoi impostare le seguenti opzioni:

Skin

Qui puoi cambiare l'aspetto visivo di vanBasco's Karaoke Player. Nota che tutti gli skin devono essere localizzati nella stessa cartella del programma. Ogni modifica avrà effetto quando il programma sarà riavviato.

  • Scegli casualmente: Sceglie casualmente uno skin ad ogni avvio del programma.

Estensioni associate

Qui scegli quali estensioni vuoi che siano associate a vanBasco's Karaoke Player.

  • Associa le estensioni dei file all'avvio del programma: Se quest'opzione è selezionata, tutte le estensioni selezionate saranno associate nuovamente (se necessario) ogni volta che viene avviato vanBasco's Karaoke Player - utile nel caso che qualche altra applicazione "rubi" una o più estensioni che vuoi siano associate con questo programma.

Finestre Playlist / Selezione Veloce

  • Mostra posizione nell'elenco: Attiva quest'opzione per mostrare la posizione numerica nelle Finestre Playlst e Selezione Veloce.
  • Non leggere informazioni sul file da Floppy Disk: Nella Finestra Playlist, se selezioni un file, verranno mostrate informazioni su di esso nella barra di stato. Però, la lettura da un disco floppy può essere lenta; ecco perché, come impostazione predefinita, le informazioni sul file non vengono lette dai file che si trovano nei floppy disk. Disattiva quest'opzione se vuoi avere le informazioni sui file anche quando questi si trovano su un dischetto.

Opzioni Karaoke avanzate

  • Set di caratteri: Sebbene la maggior parte dei file karaoke usi il set di caratteri Windows ANSI, ci sono alcuni file che utilizzano DOS-ASCII. L'opzione "Occidentale (DOS/Windows)" lascia usare a vanBasco's Karaoke Player un meccanismo integrato che prova a rilevare quale dei due set di caratteri è stato usato durante la creazione del file. Comunque, a volte il rilevamento fallisce, e in questo caso potresti riscontrare caratteri sbagliati nella Finestra Karaoke. Se ottieni questo comportamento o vuoi usare caratteri non occidentali, puoi usare questa impostazione per forzare un particolare set di caratteri. Se un set di caratteri non dovesse apparire nella lista, usa l'opzione "Predefinito" e prova a trovare un tipo di carattere adatto nella Scheda Karaoke.
  • Ritardo del testo: Se usi un sintetizzatore software come periferica di Output MIDI, potresti riscontrare un ritardo nell'emissione del suono di fino a mezzo secondo (a volte di più, in base alla velocità del tuo computer). Questo potrebbe dare delle noie con i file karaoke poiché il testo non sarà sincronizzato con il suono. Puoi compensare a questo problema inserendo un valore positivo in questo campo (unità in millisecondi). Per di più, se vuoi che il testo non sia messo in risalto dopo, ma prima, puoi specificare un valore negativo. Il valore predefinito è -200 ms., il che significa che il testo viene messo in risalto poco prima che debba essere cantato. Il motivo è che l'idea di mettere in risalto il testo debba fornire un segnale in più - dire al cantante quando cantare; e se il testo viene messo in risalto nel momento esatto in cui dev'essere cantato, il segnale viene dato troppo tardi, e non è di grande aiuto. Ecco perché la maggior parte degli utenti preferiscono il valore predefinito di -200 ms. piuttosto di 0 ms. Se comunque non lo ritieni adatto, puoi semplicemente impostare questo campo a 0.
  • Abilita tracce testo multiple: Generalmente, i file MIDI Karaoke contengono solo una traccia di testo; Comunque, esistono file che hanno più tracce di testo. Quando vanBasco's Karaoke Player deve riprodurre un tale file, sceglie la traccia contenente la maggior quantità di testo, e scarta il testo di tutte le altre tracce. Sebbene questo metodo sia funzionale, a volte si potrebbe voler vedere il testo di tutte le tracce. Per ottenere questo risultato, seleziona quest'opzione.

Lingua

  • Interfaccia utente: Usa quest'impostazione per cambiare la lingua dell'interfaccia utente. Nota che dovrai riavviare il programma perché siano tradotti tutti gli elementi dell'interfaccia utente.


Trucchi e Suggerimenti

A seguire, alcuni Trucchi e Suggerimenti che dovrebbero rispondere alle domande più comuni. Abbiamo anche aggiunto la finestra del Suggerimento del giorno che ti darà un ulteriore suggerimento ad ogni avvio di vanBasco's Karaoke Player. In più, c'è la sezione Risoluzione dei problemi. Infine, vanBasco's Karaoke Player può essere controllato tramite varie scorciatoie da tastiera.

Ecco alcuni suggerimenti che ti aiuteranno ad usare vanBasco's Karaoke Player:

  1. Per il karaoke a schermo intero, fai doppio click all'interno della Finestra Karaoke o seleziona "Schermo intero" dal menu contestuale della finestra Karaoke (facendo click con il tasto destro all'interno della finestra Karaoke).
  2. Puoi trascinare i file in vanBasco's Karaoke Player dai gestori di file, come Esplora Risorse.
  3. Puoi personalizzare facilmente la Finestra Karaoke -- scegliere il tipo di carattere, colori, immagine di sfondo, ecc. -- tramite la Finestra delle Impostazioni (facendo click sulla nota in alto a sinistra della finestra principale e selezionando "Impostazioni...").
  4. Se riscontri note prolungate o altre anormalità del suono, cambia le opzioni nella Finestra delle Impostazioni (facendo click sulla nota in alto a sinistra della finestra principale e selezionando "Impostazioni..."). Puoi provare a cambiare la periferica di output o la modalità di reset. Se hai problemi più grandi, cambia alcune delle opzioni avanzate.
  5. Puoi ordinare a caso tutti i brani della playlist tramite la funzione di mescolamento (fai click per far diventare rosso il pulsante SHUFFLE a destra nella Finestra principale).
  6. Se i file vengono riprodotti male, prova ad impostare il ritardo SYSEX nella Finestra delle Impostazioni ad un valore maggiore di 30. Se riscontri note prolungate durante l'avanzamento veloce o il riavvolgimento, abilita "Resetta su Pausa".
  7. Per fare Karaoke mentre sono aperte altre applicazioni, abilita "Sempre in primo piano" nel menu contestuale della Finestra Karaoke (facendo click con il tasto destro all'interno della Finestra Karaoke).
  8. Per disabilitare un canale o attivarne l'assolo, premi rispettivamente i pulsanti rosso e blu nella Finestra Output.
  9. Abilitare la modalità Scansione (facendo click su SCAN nella Finestra Principale) è utile per provare più file. Puoi specificare l'intervallo di scansione nella Finestra delle Impostazioni.
  10. vanBasco's Karaoke Player utilizza molte scorciatoie da tastiera. fai click qui per la lista completa.
  11. Puoi spostarti velocmente verso un particolare brano della playlist attuale usando la Finestra di Selezione Veloce (facendo click sul nome del file nella Finestra principale o premendo ALT + Q sulla tastiera).


Risoluzione dei problemi

Problema: Ho installato il vostro programma, ma quando provo a far riprodurre un file MIDI, non ottengo nessun suono o ottengo un messaggio di errore "MMSYSTEM00x ...".

Soluzione: Le possibili cause sono molte. Prova così:
  1. Primo, assicurati che il canale appropriato sia abilitato nel mixer di sistema: fai doppio click sull'icona del volume nella barra di sistema per aprire il mixer (utenti Windows XP: Pannello di controllo / Suoni e periferiche audio / Volume periferica - Avanzate). Il canale appropriato è chiamato di solito "MIDI", "Synthesizer", "Wavetable" o simili - assicurati che quel canale non sia disattivato e abbia il volume impostato ad un livello ragionevole.
  2. Se ciò non fosse d'aiuto, prova a cambiare la periferica di output nella Finestra delle Impostazioni del nostro player. Per fare ciò, fai click sul pulsante della nota in alto a sinistra della finestra principale e seleziona "Impostazioni...". Dal menu a tendina indicato come "Periferica di output", prova un valore diverso; provale tutte finché non senti il suono.
  3. Se ancora non ottieni nessun suono, prova installando driver aggiornati della tua scheda audio. Per ulteriori informazioni vai al sito web del costruttore della tua scheda audio.


Scorciatoie da tastiera

vanBasco's Karaoke Player può essere controllato tramite le seguenti scorciatoie da tastiera:

Scorciatoia | Scorciatoia alternativa | Azione
Barra spaziatrice |  | Play / Pausa
Tasto Esc |  | Stop
Ctrl + N | F4 | Brano successivo nella Playlist
Ctrl + P | F3 | Brano precedente nella Playlist
Freccia destra |  | Avanzamento veloce
Freccia sinistra |  | Riavvolgimento
+ (Tn) |  | Alza di un semitono
- (Tn) |  | Abbassa di un semitono
* (Tn) | > | Aumenta il Tempo (velocità)
/ (Tn) | < | Diminuisce il Tempo
[ |  | Diminuisce il volume
] |  | Aumenta il volume
CTRL + 0 | F2 | Reimposta
ALT + Q | F12 | Apre la Finestra di Selezione Veloce
ALT + F | F11 | Attiva / Disattiva il Karaoke a schermo intero
F1 |  | Apre la Guida in linea
ALT + L |  | Apre / Chiude la Finestra Playlist
ALT + C |  | Apre / Chiude la Finestra Controlli
ALT + O |  | Apre / Chiude la Finestra Output
ALT + P |  | Apre / Chiude la Finestra Pianoforte
ALT + K |  | Apre / Chiude la Finestra Karaoke
CTRL + A |  | Attiva / Disattiva l'Autoplay
CTRL + C |  | Attiva / Disattiva lo Scansionamento (Scan)
CTRL + S |  | Attiva / Disattiva il Mescolamento (Shuffle)
CTRL + R |  | Attiva / Disattiva la Ripetizione (Repeat)
ALT + S |  | Apre la Finestra delle Impostazioni
ALT + X |  | Esce da vanBasco's Karaoke Player


Contratto di licenza e Note Legali

Contratto di licenza

Il testo che segue definisce a fini di riferimento i termini della licenza che sono stati accettati:
Contratto di licenza ("CONTRATTO")

L'installazione e/o l'utilizzo di vanBasco's Karaoke Player (prodotto "SOFTWARE"), implicano l'accettazione del seguente contratto di licenza. Nel caso che non vengano accettati tutti i termini di questo contratto, non si deve installare e/o utilizzare il SOFTWARE. Il SOFTWARE è protetto dalle leggi nazionali tedesche e da trattati internazionali. Ogni utilizzo diverso da quello consentito è inteso come un reato e sarà perseguito a norma di legge.

1. Oggetto del contratto di licenza
E' concesso il diritto non esclusivo per utilizzare il SOFTWARE gratuitamente su un singolo computer per uso personale, non commerciale e privato soggetto ai termini e alle condizioni di questo CONTRATTO; è proibito ogni tipo di uso commerciale del SOFTWARE. E' comunque concesso di effettuare tante copie di backup quante siano ragionevolmente necessarie per l’uso legittimo del SOFTWARE.

2. Diritto di proprietà intellettuale e restrizioni
  1. Daniel Pustka e Bastian Tugemann ("VANBASCO") possiedono tutti i diritti di proprietà e d’autori del SOFTWARE.
  2. Non è permesso di:
    1. modificare, tradurre, applicare reverse-engeering, decompilare, disassemblare il SOFTWARE o creare lavori derivati basati sul SOFTWARE eccetto nei casi previsti dal § 69 a ff UrhG (Carta del Copyright di Germania);
    2. modificare o rimuovere qualunque copyright o avvisi del proprietario del SOFTWARE ed è obbligatorio riprodurre tali avvisi su ogni copia, integrale o parziale, del software nella forma che appare sull'originale;
    3. riassegnare la licenza, assegnare sottolicenze, affittare o di subappaltare il SOFTWARE;
    4. trasferire questo CONTRATTO a terzi o di consegnare il SOFTWARE completo o parti di esso a terzi;
    5. redistribuire il SOFTWARE (ad esempio dare copie del software a terzi) in qualsiasi forma, a meno che non si abbia ottenuto il consenso scritto da VANBASCO.
  3. Viene accettato di soddisfare tutte le leggi e regole di import / export rilevanti riguardanti il SOFTWARE o una qualunque sua parte.
3. Esclusione della garanzia
Il SOFTWARE è fornito senza garanzia per i vizi della cosa escludendo qualsiasi garanzia, inclusa - ma non limitata a - la garanzia che il SOFTWARE sia privo di difetti, commerciabile, adatto ad un particolare scopo e privo di vizi giuridici. L'intero rischio, come la qualità e le prestazioni del SOFTWARE, è a carico dell'utente. In caso che il SOFTWARE si dimostri difettoso, in qualunque sua funzione, l'utente e non VANBASCO assumerà i costi di ogni servizio e riparazione.

4. Limitazione di responsabilità
In nessun caso VANBASCO, i suoi fornitori o i suoi distributori saranno responsabili nei confronti di alcuna persona per qualunque danno diretto, indiretto, speciale, accidentale o consequenziale inclusi - ma non limitati a - danni riguardanti perdita di profitto, interruzione del lavoro, malfunzionamento del computer, o ogni altro danno o perdita. Poiché, nei termini del CONTRATTO presente, è permesso utilizzare il software gratuitamente, in nessun caso VANBASCO può essere mai reso responsabile, persino se VANBASCO fosse stato informato della eventualità di tali danni, o per qualunque reclamo di ogni terza parte, eccetto in caso di intenzione o di colpa grave.

5. Varie
Questo CONTRATTO riassume tutti gli accordi collettivi riguardanti i diritti d’utilizzazione e non può essere modificato o completato da altri se non da VANBASCO. I diritti d’utilizzazione ed il CONTRATTO saranno automaticamente scaduti se non ci si attiene alle limitazioni qui descritte. Se qualche clausola di questo CONTRATTO si risulti nulla, tale clausola sarà sostituita da un’altra clausola giuridicamente applicabile, che deve avvicinarsi a quella originale il più possibile. Le altre clausole di questo contratto rimangono invariate e valide del tutto a norma di legge. Questo CONTRATTO sarà governato dalle leggi tedesche, escludendo la legge internazionale. Se si possiede la posizione di commerciante nel senso del §1 del codice commerciale tedesco, il foro competente sarà Monaco (Germania). In ogni caso di necessaria interpretazione dello statuto, solo le leggi tedesche saranno applicabili.

Copyright © 2004 Daniel Pustka e Bastian Tugemann. Tutti i diritti riservati.

Trademarks

Windows è un marchio registrato appartenente a Microsoft Corporation. Ogni altro marchio e copyright a cui si fa riferimento nella presente documentazione è appartenente ai rispettivi proprietari.

Varie

Questo software è in parte basato sul lavoro dell'Independent JPEG Group.
Traduzione in italiano di Edoardo Liotta.